import type { NobjcObject } from "objc-js";
import type { _NSView } from "./NSView.js";
import type { _NSProgress } from "../Foundation/NSProgress.js";
import type { NSControlSize } from "./NSControlSize.js";
import type { NSControlTint } from "./NSControlTint.js";
import type { NSProgressIndicatorStyle } from "./NSProgressIndicatorStyle.js";
export declare class _NSProgressIndicator extends _NSView {
    static alloc(): _NSProgressIndicator;
    static new(): _NSProgressIndicator;
    init(): _NSProgressIndicator;
    /** Equivalent to [self setDoubleValue:[self doubleValue] + delta]. */
    incrementBy$(delta: number): void;
    startAnimation$(sender: NobjcObject | null): void;
    stopAnimation$(sender: NobjcObject | null): void;
    /**
     * For the spinning style, it will size the view to its default size. For the bar style, the height will be set to the recommended height.
     */
    sizeToFit(): void;
    /** @deprecated The animationDelay property does nothing. */
    animationDelay(): number;
    /** @deprecated The animationDelay property does nothing. */
    setAnimationDelay$(delay: number): void;
    /** @deprecated Use -startAnimation and -stopAnimation instead. */
    animate$(sender: NobjcObject | null): void;
    indeterminate(): boolean;
    setIndeterminate$(value: boolean): void;
    controlSize(): NSControlSize;
    setControlSize$(value: NSControlSize): void;
    doubleValue(): number;
    setDoubleValue$(value: number): void;
    minValue(): number;
    setMinValue$(value: number): void;
    maxValue(): number;
    setMaxValue$(value: number): void;
    /**
     * When set NSProgressIndicator will update doubleValue, minValue, maxValue, and indeterminate automatically.
     */
    observedProgress(): _NSProgress;
    setObservedProgress$(value: _NSProgress): void;
    /**
     * YES if the NSProgressIndicator uses a thread instead of a timer (defaults to YES).
     */
    usesThreadedAnimation(): boolean;
    setUsesThreadedAnimation$(value: boolean): void;
    style(): NSProgressIndicatorStyle;
    setStyle$(value: NSProgressIndicatorStyle): void;
    displayedWhenStopped(): boolean;
    setDisplayedWhenStopped$(value: boolean): void;
    /** @deprecated The bezeled property is not respected on 10.15 and later */
    bezeled(): boolean;
    setBezeled$(value: boolean): void;
    /** @deprecated The controlTint property is not respected on 10.15 and later */
    controlTint(): NSControlTint;
    setControlTint$(value: NSControlTint): void;
}
